import java.util.*;

public class Test extends ListResourceBundle {

    final Object[][] contents = {
        {"jAboutDialog", "  Quartzware RBEdit English"},
        {"aboutLabel", "  RBEdit 0.7.1a - 11/29/00 - Quartzware"},
        {"aboutDialogPanel", "  /q.gif"},
        {"helpDlg", "  Help System"},

        // Common Buttons
        {"error", "  Error"},
        {"cancelButton", "  Cancel"},
        {"okButton", "  OK"},
        {"yesButton", "  Yes"},
        {"noButton", "  No"},
        {"modifyButton", "  Modify"},
        {"addButton", "  Add"},
        {"removeButton", "  Remove"},

        // Common Icons
        {"minimizeAppIcon", "  /qmini.gif"},
        {"upArrowIcon", "  /uparrow.gif"},
        {"downArrowIcon", "  /downarrow.gif"},
        {"undoIcon", "  /undo.gif"},
        {"redoIcon", "  /redo.gif"},

        // MainWindow.java
        {"mainWindow", "  QuartzWare RBEdit English"},
        {"saveDlg", "  Save"},
        {"openDlg", "  Open"},

        // doFileMenu()
        {"fileMenu", "  File"},
        {"miNewProject", "  New Project..."},
        {"miOpen", "  Open..."},
        {"miOpenProject", "  Open Project..."},
        {"miClose", "  Close"},
        {"miSave", "  Save"},
        {"miSaveProjectAs", "  Save Project As..."},
        {"miExit", "  Exit"},

        // doEditMenu()
        {"editMenu", "  Edit"},
        {"miUndo", "  Undo"},
        {"miRedo", "  Redo"},
        {"miCut", "  Cut"},
        {"miCopy", "  Copy"},
        {"miPaste", "  Paste"},
        {"miFind", "  Find..."},

        // doProjectMenu()
        {"projectMenu", "  Project"},
        {"miNewBundle", "  New Bundle"},
        {"miImportBundle", "  Import Bundle"},
        {"miRemoveBundle", "  RemoveBundle"},
        {"miPreferences", "  Preferences"},

        // doBundleMenu()
        {"bundleMenu", "  Bundle"},
        {"miAddKey", "  Add Key"},
        {"miRenameKey", "  Rename Key"},
        {"miDeleteKey", "  Delete Key "},
        {"miEditValue", "  Edit Value"},
        {"miEditComments", "  EditComments"},

        // doViewMenu()
        {"viewMenu", "  View"},
        {"miShowKeys", "  Show Keys"},
        {"miShowValues", "  Show Values"},
        {"miShowParentsValue", "  Show Parent\'s Value"},
        {"miShowComments", "  Show Comments"},

        // doWindowsMenu()
        {"windowMenu", "  Windows"},
        {"miCascadeWindows", "  Cascade Windows"},
        {"miTileHorizontally", "  Tile Horizontally"},
        {"miTileVertically", "  Tile Vertically"},

        // doHelpMenu()
        {"helpMenu", "  Help"},
        {"miHelpTopics", "  Help Topics"},
        {"miAbout", "  About RBEdit..."},

        // doIcons()
        {"newIcon", "  /new.gif"},
        {"openIcon", "  /open.gif"},
        {"saveIcon", "  /save.gif"},
        {"cutIcon", "  /cut.gif"},
        {"copyIcon", "  /copy.gif"},
        {"pasteIcon", "  /paste.gif"},
        {"addKeyIcon", "  /addkey.gif"},
        {"remKeyIcon", "  /remkey.gif"},
        {"aboutIcon", "  /about.gif"},
        {"editValIcon", "  /editvalue.gif"},
        {"editComIcon", "  /editcomment.gif"},

        // doToolbar()
        {"newProjectButtonToolTip", "  Create a new project"},
        {"openButtonToolTip", "  Open"},
        {"saveButtonToolTip", "  Save the active document"},
        {"cutButtonToolTip", "  Move selection to the Clipboard"},
        {"copyButtonToolTip", "  Copy selection to the Clipboard"},
        {"pasteButtonToolTip", "  Insert Clipboard contents"},
        {"aboutButtonToolTip", "  About RBEdit..."},
        {"closeProjWarningMessage", "  Do you wish to save your project before closing?"},
        {"closeProjectDlg", "  Close Project"},
        {"remRootError", "  You cannot remove the root bundle from its project."},

        // NewProjectDlg.java
        {"newProjectDlg", "  New Project"},
        {"newProjWarningMessage", "  How would you like to start your new project?"},
        {"createNewRootButton", "  Create New Root"},
        {"useExistingRootButton", "  Use Existing Root"},
        {"newProjImage", "  /questionmark.gif"},

        // NewBundleDlg.java
        {"newBundleDlg", "  New Bundle"},
        {"languageText", "  Language"},
        {"countryText", "  Country"},
        {"variantsText", "  Variant"},
        {"filenameText", "  File Name"},

        // FindDlg.java
        {"findDlg", "  Find"},
        {"searchForLabel", "  Search For"},
        {"findButton", "  Find Next"},
        {"searchKeysCheckBox", "  Search Keys"},
        {"searchValuesCheckBox", "  Search Values"},
        {"searchCommentsCheckBox", "  Search Comments"},
        {"searchAllFilesCheckBox", "  Search All Bundles"},

        // RemoveBundleDlg.java
        {"removeBundleDlg", "  Remove Bundle"},
        {"remBundleMsg", "  Are you sure you want to remove"},
        {"removeBundleImage", "  /questionmark.gif"},

        // PrefDlg.java
        {"prefDlg", "  Preferences"},
        {"unchangedLabel", "  Unchanged Value Colors"},
        {"backgroundLabel", "  Background"},
        {"foregroundLabel", "  Foreground"},
        {"changedLabel", "  Changed Value Colors"},
        {"writeEscapedCBox", "  Write escaped eharacters"},
        {"listAlphabeticallyCBox", "  List keys alphabetically"},
        {"defaultFieldsLabel", "  Default Visible Fields"},
        {"displayKeyCBox", "  Display Key Name"},
        {"displayValueCBox", "  Display Value"},
        {"displayParentCBox", "  Display Parent Value"},
        {"displayCommentsCBox", "  Display Comments"},

        // ProjectWindow.java
        {"projectWindow", "  Project Window"},

        // EditorWindow.java
        {"editorWindow", "  Editor Window"},

        // StringArrayDlg.java
        {"stringArrayDlg", "  Edit String Array"},

        // IntArrayDlg.java
        {"intArrayDlg", "  Edit Integer Array"},

        // MessageDlg.java
        {"messageDlg", "  Edit Message"},
        {"messageElementLabel", "  Message Element Number"},
        {"newElementButton", "  New Element"},
        {"deleteElementButton", "  Delete Element"},
        {"choiceFormatLabel", "  Choice Format Options"},
        {"useChoiceFormatCheck", "  Use Choice Format (Use Limits)"},
        {"poundLimitRBtn", "  \"#\" Limit Value"},
        {"lessThanLimitRBtn", "  \"<\" Limit of Next Double"},
        {"greaterThanLimitRBtn", "  \">\" Limit of Previous Double"},
        {"limitLabel", "  Limit Value"},
        {"elementLabel", "  Element Value"},
        {"editAsChoiceButton", "  Edit As Choice"},
        {"newLimitButton", "  New Limit"},
        {"deleteLimitButton", "  Delete Limit"},
        {"fullMessageLabel", "  Full Message"},
        {"testButton", "  Test"},

        // TaggedArrayDlg.java
        {"taggedArrayDlg", "  Edit Tagged Array"},
        {"valueLabel", "  Value"},
        {"setButton", "  Set"},
        {"newEntryButton", "  New Entry"},
        {"removeEntryButton", "  Remove Entry"},

        // AddKeyDlg.java
        {"addKeyDlg", "  Add Key"},
        {"keyLabel", "  Key Name"},
        {"entryLabel", "  Entry Type"},
        {"keyExists", "  Key name already exists"},
        {"enterKeyName", "  Please enter a key name"},

        // DeleteKeyDlg.java
        {"deleteKeyDlg", "  Delete a Key"},
        {"deleteKeyPanel", "  /questionmark.gif"},
        {"deleteKeyWarningMessage", "  WARNING! Deleting this key will remove the key from the entire project and all of the Resource Bundles contained within. Are you sure you want to proceed?"},

        // EditorWindow.java
        {"editorWindowKeyColumn", "  Key Name"},
        {"editorWindowValueColumn", "  Value"},
        {"editorWindowParentColumn", "  Parent's Value"},
        {"editorWindowCommentsColumn", "  Comments"},
        {"closeLooseWarningMessage", "  Before closing, do you wish to save"},
        {"closeLooseFileDlg", "  Close Loose File"},

        // KeyDoesNotExistDlg.java
        {"keyDoesNotExistDlg", "  Key does not exist in Root"},
        {"keyNotExistImagePanel", "  /questionmark.gif"},
        {"keyNotExistKeyLabel", "  Key"},
        {"keyNotExistValueLabel", "  Value"},
        {"keyNotExistCommentLabel", "  Comment"},
        {"keyNotExistKeyValue", "  testKey"},
        {"keyNotExistValueValue", "  testValue"},
        {"keyNotExistCommentValue", "  testComment"},
        {"addKeyRB", "  Add Key to Root"},
        {"deleteKeyRB", "  Delete Key from Bundle"},
        {"noKeyMsg", "  The following key in this child does not exist in the root. Please choose how to proceed."},

        // MessageTestDlg.java
        {"messageTestDlg", "  Test Message"},
        {"fullTestMessageLabel", "  Full Message"},
        {"testMessageValueLabel", "  Test Values"},
        {"runTestButton", "  Run Test"},
        {"closeButton", "  Close"},

        // RenameKeyDlg.java
        {"renameKeyDlg", "  Rename a Key"},
        {"renameKeyPanel", "  /questionmark.gif"},
        {"renameKeyMsg", "  "WARNING! Renaming this key will rename the key in the entire project and all of the Resource Bundles contained within. Are you sure you want to proceed?"},

        // BinaryPath.java
        {"binaryPathDlg", "  Select Binary File"}
    };

    public Object[][] getContents() {return contents;}
}
